Bug 258388 - net/openldap24-client upgrade broke php74-ldap
Summary: net/openldap24-client upgrade broke php74-ldap
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-09 14:30 UTC by Marko Cupać
Modified: 2021-09-10 13:58 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (delphij)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2021-09-09 14:30:58 UTC
Hi,

a few of my php web applications (namely net-mgmt/phpipam net-mgmt/cacti and www/drupal7), all installed in same jail won't authenticate from LDAP (AD) anymore.

The only change since they worked fine I see is:

Sep  9 12:08:26 web10 pkg[47449]: openldap-client-2.4.59_1 deinstalled
...
Sep  9 12:08:28 web10 pkg[47449]: openldap24-client-2.4.59_2 installed
...
Sep  9 12:08:33 web10 pkg[47449]: php74-ldap reinstalled: 7.4.23 -> 7.4.23

www/rt50 authenticates just fine from same jail to same AD, by means of p5-perl-ldap-0.6800. Also, multiple php applications on other hosts (namely www/nextcloud) which haven't yet got latest openldap-client authenticate fine from same AD.

Could it be that latest openldap24-client somehow broke php74-ldap functionality?

Thank you in advance,
Comment 1 Marko Cupać 2021-09-10 13:58:19 UTC
Everything works fine, I had wrong path to certificate in ldap.conf.

Sorry for the fuss.